include $(REP_DIR)/lib/import/import-qt_network.mk

SHARED_LIB = yes

# extracted from src/script/Makefile
QT_DEFINES += -DQT_BUILD_NETWORK_LIB -DQT_NO_USING_NAMESPACE -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT_MOC_COMPAT -DQT_USE_FAST_OPERATOR_PLUS -DQT_USE_FAST_CONCATENATION -DQT_NO_DEBUG -DQT_CORE_LIB

# use default warning level to avoid noise when compiling contrib code
CC_WARN =

# extracted from src/script/Makefile
QT_SOURCES = \
		qftp.cpp \
		qhttp.cpp \
		qhttpnetworkheader.cpp \
		qhttpnetworkrequest.cpp \
		qhttpnetworkreply.cpp \
		qhttpnetworkconnection.cpp \
		qhttpnetworkconnectionchannel.cpp \
		qfilenetworkreply.cpp \
		qnetworkaccessmanager.cpp \
		qnetworkaccesscache.cpp \
		qnetworkaccessbackend.cpp \
		qnetworkaccessdatabackend.cpp \
		qnetworkaccessdebugpipebackend.cpp \
		qnetworkaccessfilebackend.cpp \
		qnetworkaccesscachebackend.cpp \
		qnetworkaccessftpbackend.cpp \
		qnetworkaccesshttpbackend.cpp \
		qnetworkcookie.cpp \
		qnetworkcookiejar.cpp \
		qnetworkrequest.cpp \
		qnetworkreply.cpp \
		qnetworkreplyimpl.cpp \
		qabstractnetworkcache.cpp \
		qnetworkdiskcache.cpp \
		qnetworksession.cpp \
		qnetworkconfigmanager.cpp \
		qnetworkconfiguration.cpp \
		qnetworkconfigmanager_p.cpp \
		qbearerengine.cpp \
		qbearerplugin.cpp \
		qauthenticator.cpp \
		qhostaddress.cpp \
		qhostinfo.cpp \
		qurlinfo.cpp \
		qnetworkproxy.cpp \
		qnetworkinterface.cpp \
		qhostinfo_unix.cpp \
		qnetworkinterface_unix.cpp \
		qnetworkproxy_generic.cpp \
		qabstractsocketengine.cpp \
		qnativesocketengine.cpp \
		qhttpsocketengine.cpp \
		qsocks5socketengine.cpp \
		qabstractsocket.cpp \
		qtcpsocket.cpp \
		qudpsocket.cpp \
		qtcpserver.cpp \
		qlocalsocket.cpp \
		qlocalserver.cpp \
		qnativesocketengine_unix.cpp \
		qlocalsocket_unix.cpp \
		qlocalserver_unix.cpp \
		moc_qhttpnetworkreply_p.cpp \
		moc_qnetworkaccesscache_p.cpp \
		moc_qnetworkaccessbackend_p.cpp \
		moc_qnetworkaccesshttpbackend_p.cpp \
		moc_qnetworkaccessfilebackend_p.cpp \
		moc_qnetworkcookiejar.cpp \
		moc_qnetworkreply.cpp \
		moc_qabstractnetworkcache.cpp \
		moc_qnetworkdiskcache.cpp \
		moc_qnetworkconfigmanager_p.cpp \
		moc_qnetworksession_p.cpp \
		moc_qbearerplugin_p.cpp \
		moc_qhostinfo_p.cpp \
		moc_qabstractsocketengine_p.cpp \
		moc_qnativesocketengine_p.cpp \
		moc_qhttpsocketengine_p.cpp \
		moc_qsocks5socketengine_p.cpp \
		moc_qtcpsocket.cpp

# some source files need to be generated by moc from other source/header files before
# they get #included again by the original source file in the compiling stage

# source files generated from existing header files ("moc_%.cpp: %.h" rule in spec-qt4.mk)
# extracted from "compiler_moc_header_make_all" target
COMPILER_MOC_HEADER_MAKE_ALL_FILES = \
									moc_qhttp.cpp \
									moc_qhttpnetworkreply_p.cpp \
									moc_qhttpnetworkconnection_p.cpp \
									moc_qhttpnetworkconnectionchannel_p.cpp \
									moc_qfilenetworkreply_p.cpp \
									moc_qnetworkaccessmanager.cpp \
									moc_qnetworkaccesscache_p.cpp \
									moc_qnetworkaccessbackend_p.cpp \
									moc_qnetworkaccesshttpbackend_p.cpp \
									moc_qnetworkaccessfilebackend_p.cpp \
									moc_qnetworkcookiejar.cpp \
									moc_qnetworkreply.cpp \
									moc_qnetworkreplyimpl_p.cpp \
									moc_qabstractnetworkcache.cpp \
									moc_qnetworkdiskcache.cpp \
									moc_qnetworksession.cpp \
									moc_qnetworkconfigmanager.cpp \
									moc_qnetworkconfigmanager_p.cpp \
									moc_qnetworksession_p.cpp \
									moc_qbearerengine_p.cpp \
									moc_qbearerplugin_p.cpp \
									moc_qhostinfo_p.cpp \
									moc_qabstractsocketengine_p.cpp \
									moc_qnativesocketengine_p.cpp \
									moc_qhttpsocketengine_p.cpp \
									moc_qsocks5socketengine_p.cpp \
									moc_qabstractsocket.cpp \
									moc_qtcpsocket.cpp \
									moc_qtcpserver.cpp \
									moc_qlocalserver.cpp \
									moc_qlocalsocket.cpp

INC_DIR += $(REP_DIR)/src/lib/qt4/mkspecs/qws/genode-x86-g++ \
           $(REP_DIR)/include/qt4 \
           $(REP_DIR)/contrib/$(QT4)/include \
           $(REP_DIR)/include/qt4/QtCore \
           $(REP_DIR)/contrib/$(QT4)/include/QtCore \
           $(REP_DIR)/include/qt4/QtCore/private \
           $(REP_DIR)/contrib/$(QT4)/include/QtCore/private \
           $(REP_DIR)/include/qt4/QtNetwork \
           $(REP_DIR)/contrib/$(QT4)/include/QtNetwork \
           $(REP_DIR)/include/qt4/QtNetwork/private \
           $(REP_DIR)/contrib/$(QT4)/include/QtNetwork/private \
           $(REP_DIR)/src/lib/qt4/src/corelib/global

LIBS += qt_core zlib libc

vpath % $(REP_DIR)/include/qt4/QtNetwork
vpath % $(REP_DIR)/include/qt4/QtNetwork/private

vpath % $(REP_DIR)/src/lib/qt4/src/network/access
vpath % $(REP_DIR)/src/lib/qt4/src/network/bearer
vpath % $(REP_DIR)/src/lib/qt4/src/network/kernel
vpath % $(REP_DIR)/src/lib/qt4/src/network/socket

vpath % $(REP_DIR)/contrib/$(QT4)/src/network/access
vpath % $(REP_DIR)/contrib/$(QT4)/src/network/bearer
vpath % $(REP_DIR)/contrib/$(QT4)/src/network/kernel
vpath % $(REP_DIR)/contrib/$(QT4)/src/network/socket

include $(REP_DIR)/lib/mk/qt.mk
