include $(REP_DIR)/lib/import/import-qt_webcore.mk

SHARED_LIB = yes

# extracted from src/3rdparty/webkit/WebCore/Makefile
QT_DEFINES += -DBUILDING_QT__=1 -DWTF_USE_ACCELERATED_COMPOSITING -DNDEBUG -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT_MOC_COMPAT -DQT_USE_FAST_OPERATOR_PLUS -DQT_USE_FAST_CONCATENATION -DBUILD_WEBKIT -DENABLE_FAST_MOBILE_SCROLLING=1 -DBUILDING_QT__ -DBUILDING_JavaScriptCore -DBUILDING_WTF -DENABLE_VIDEO=0 -DENABLE_JAVASCRIPT_DEBUGGER=1 -DENABLE_DATABASE=1 -DENABLE_EVENTSOURCE=1 -DENABLE_OFFLINE_WEB_APPLICATIONS=1 -DENABLE_DOM_STORAGE=1 -DENABLE_ICONDATABASE=1 -DENABLE_CHANNEL_MESSAGING=1 -DENABLE_ORIENTATION_EVENTS=0 -DENABLE_SQLITE=1 -DENABLE_DASHBOARD_SUPPORT=0 -DENABLE_FILTERS=1 -DENABLE_XPATH=1 -DENABLE_WCSS=0 -DENABLE_WML=0 -DENABLE_SHARED_WORKERS=1 -DENABLE_WORKERS=1 -DENABLE_XHTMLMP=0 -DENABLE_DATAGRID=0 -DENABLE_RUBY=1 -DENABLE_SANDBOX=1 -DENABLE_PROGRESS_TAG=1 -DENABLE_BLOB_SLICE=0 -DENABLE_3D_RENDERING=1 -DENABLE_SVG=1 -DENABLE_SVG_FONTS=1 -DENABLE_SVG_FOREIGN_OBJECT=1 -DENABLE_SVG_ANIMATION=1 -DENABLE_SVG_AS_IMAGE=1 -DENABLE_SVG_USE=1 -DENABLE_DATALIST=1 -DENABLE_TILED_BACKING_STORE=1 -DENABLE_NETSCAPE_PLUGIN_API=0 -DENABLE_WEB_SOCKETS=1 -DENABLE_XSLT=0 -DENABLE_QT_BEARER=1 -DENABLE_TOUCH_EVENTS=1 -DSQLITE_CORE -DSQLITE_OMIT_LOAD_EXTENSION -DSQLITE_OMIT_COMPLETE -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB

# additional defines for the Genode version
CC_OPT += -DSQLITE_NO_SYNC=1 -DSQLITE_THREADSAFE=0

# enable C++ functions that use C99 math functions (disabled by default in the Genode tool chain)
CC_CXX_OPT += -D_GLIBCXX_USE_C99_MATH

# use default warning level to avoid noise when compiling contrib code
CC_WARN = -Wno-deprecated-declarations

CC_OPT_sqlite3 += -Wno-int-to-pointer-cast

# extracted from src/3rdparty/webkit/JavaScriptCore/Makefile
# and src/3rdparty/webkit/WebCore/Makefile
QT_SOURCES = \
		SVGNames.cpp \
		SVGElementFactory.cpp \
		JSSVGElementWrapperFactory.cpp \
		XLinkNames.cpp \
		JSCounter.cpp \
		JSCSSCharsetRule.cpp \
		JSCSSFontFaceRule.cpp \
		JSCSSImportRule.cpp \
		JSCSSMediaRule.cpp \
		JSCSSPageRule.cpp \
		JSCSSPrimitiveValue.cpp \
		JSCSSRule.cpp \
		JSCSSRuleList.cpp \
		JSCSSStyleDeclaration.cpp \
		JSCSSStyleRule.cpp \
		JSCSSStyleSheet.cpp \
		JSCSSValue.cpp \
		JSCSSValueList.cpp \
		JSCSSVariablesDeclaration.cpp \
		JSCSSVariablesRule.cpp \
		JSMediaList.cpp \
		JSRect.cpp \
		JSRGBColor.cpp \
		JSStyleMedia.cpp \
		JSStyleSheet.cpp \
		JSStyleSheetList.cpp \
		JSWebKitCSSKeyframeRule.cpp \
		JSWebKitCSSKeyframesRule.cpp \
		JSWebKitCSSMatrix.cpp \
		JSWebKitCSSTransformValue.cpp \
		JSAttr.cpp \
		JSBeforeLoadEvent.cpp \
		JSCharacterData.cpp \
		JSClientRect.cpp \
		JSClientRectList.cpp \
		JSClipboard.cpp \
		JSCDATASection.cpp \
		JSComment.cpp \
		JSCompositionEvent.cpp \
		JSCustomEvent.cpp \
		JSDocumentFragment.cpp \
		JSDocument.cpp \
		JSDocumentType.cpp \
		JSDOMCoreException.cpp \
		JSDOMImplementation.cpp \
		JSElement.cpp \
		JSEntity.cpp \
		JSEntityReference.cpp \
		JSErrorEvent.cpp \
		JSEvent.cpp \
		JSEventException.cpp \
		JSKeyboardEvent.cpp \
		JSMouseEvent.cpp \
		JSMessageChannel.cpp \
		JSMessageEvent.cpp \
		JSMessagePort.cpp \
		JSMutationEvent.cpp \
		JSNamedNodeMap.cpp \
		JSNode.cpp \
		JSNodeFilter.cpp \
		JSNodeIterator.cpp \
		JSNodeList.cpp \
		JSNotation.cpp \
		JSOverflowEvent.cpp \
		JSPageTransitionEvent.cpp \
		JSPopStateEvent.cpp \
		JSProcessingInstruction.cpp \
		JSProgressEvent.cpp \
		JSRangeException.cpp \
		JSRange.cpp \
		JSText.cpp \
		JSTextEvent.cpp \
		JSTouch.cpp \
		JSTouchEvent.cpp \
		JSTouchList.cpp \
		JSTreeWalker.cpp \
		JSUIEvent.cpp \
		JSWebKitAnimationEvent.cpp \
		JSWebKitTransitionEvent.cpp \
		JSWheelEvent.cpp \
		JSBlob.cpp \
		JSWebGLArray.cpp \
		JSWebGLArrayBuffer.cpp \
		JSWebGLByteArray.cpp \
		JSWebGLFloatArray.cpp \
		JSCanvasGradient.cpp \
		JSWebGLIntArray.cpp \
		JSCanvasPattern.cpp \
		JSCanvasRenderingContext.cpp \
		JSCanvasRenderingContext2D.cpp \
		JSWebGLActiveInfo.cpp \
		JSWebGLBuffer.cpp \
		JSWebGLContextAttributes.cpp \
		JSWebGLFramebuffer.cpp \
		JSWebGLProgram.cpp \
		JSWebGLRenderbuffer.cpp \
		JSWebGLRenderingContext.cpp \
		JSWebGLShader.cpp \
		JSWebGLShortArray.cpp \
		JSWebGLTexture.cpp \
		JSWebGLUniformLocation.cpp \
		JSWebGLUnsignedByteArray.cpp \
		JSWebGLUnsignedIntArray.cpp \
		JSWebGLUnsignedShortArray.cpp \
		JSDataGridColumn.cpp \
		JSDataGridColumnList.cpp \
		JSDOMFormData.cpp \
		JSFile.cpp \
		JSFileList.cpp \
		JSHTMLAllCollection.cpp \
		JSHTMLAudioElement.cpp \
		JSHTMLAnchorElement.cpp \
		JSHTMLAppletElement.cpp \
		JSHTMLAreaElement.cpp \
		JSHTMLBaseElement.cpp \
		JSHTMLBaseFontElement.cpp \
		JSHTMLBlockquoteElement.cpp \
		JSHTMLBodyElement.cpp \
		JSHTMLBRElement.cpp \
		JSHTMLButtonElement.cpp \
		JSHTMLCanvasElement.cpp \
		JSHTMLCollection.cpp \
		JSHTMLDataGridElement.cpp \
		JSHTMLDataGridCellElement.cpp \
		JSHTMLDataGridColElement.cpp \
		JSHTMLDataGridRowElement.cpp \
		JSHTMLDataListElement.cpp \
		JSHTMLDirectoryElement.cpp \
		JSHTMLDivElement.cpp \
		JSHTMLDListElement.cpp \
		JSHTMLDocument.cpp \
		JSHTMLElement.cpp \
		JSHTMLEmbedElement.cpp \
		JSHTMLFieldSetElement.cpp \
		JSHTMLFontElement.cpp \
		JSHTMLFormElement.cpp \
		JSHTMLFrameElement.cpp \
		JSHTMLFrameSetElement.cpp \
		JSHTMLHeadElement.cpp \
		JSHTMLHeadingElement.cpp \
		JSHTMLHRElement.cpp \
		JSHTMLHtmlElement.cpp \
		JSHTMLIFrameElement.cpp \
		JSHTMLImageElement.cpp \
		JSHTMLInputElement.cpp \
		JSHTMLIsIndexElement.cpp \
		JSHTMLLabelElement.cpp \
		JSHTMLLegendElement.cpp \
		JSHTMLLIElement.cpp \
		JSHTMLLinkElement.cpp \
		JSHTMLMapElement.cpp \
		JSHTMLMarqueeElement.cpp \
		JSHTMLMediaElement.cpp \
		JSHTMLMenuElement.cpp \
		JSHTMLMetaElement.cpp \
		JSHTMLModElement.cpp \
		JSHTMLObjectElement.cpp \
		JSHTMLOListElement.cpp \
		JSHTMLOptGroupElement.cpp \
		JSHTMLOptionElement.cpp \
		JSHTMLOptionsCollection.cpp \
		JSHTMLParagraphElement.cpp \
		JSHTMLParamElement.cpp \
		JSHTMLPreElement.cpp \
		JSHTMLProgressElement.cpp \
		JSHTMLQuoteElement.cpp \
		JSHTMLScriptElement.cpp \
		JSHTMLSelectElement.cpp \
		JSHTMLSourceElement.cpp \
		JSHTMLStyleElement.cpp \
		JSHTMLTableCaptionElement.cpp \
		JSHTMLTableCellElement.cpp \
		JSHTMLTableColElement.cpp \
		JSHTMLTableElement.cpp \
		JSHTMLTableRowElement.cpp \
		JSHTMLTableSectionElement.cpp \
		JSHTMLTextAreaElement.cpp \
		JSHTMLTitleElement.cpp \
		JSHTMLUListElement.cpp \
		JSHTMLVideoElement.cpp \
		JSImageData.cpp \
		JSMediaError.cpp \
		JSTextMetrics.cpp \
		JSTimeRanges.cpp \
		JSValidityState.cpp \
		JSVoidCallback.cpp \
		JSInjectedScriptHost.cpp \
		JSInspectorBackend.cpp \
		JSInspectorFrontendHost.cpp \
		JSJavaScriptCallFrame.cpp \
		JSDOMApplicationCache.cpp \
		JSBarInfo.cpp \
		JSConsole.cpp \
		JSCoordinates.cpp \
		JSDOMSelection.cpp \
		JSDOMWindow.cpp \
		JSEventSource.cpp \
		JSGeolocation.cpp \
		JSGeoposition.cpp \
		JSHistory.cpp \
		JSLocation.cpp \
		JSNavigator.cpp \
		JSPositionError.cpp \
		JSScreen.cpp \
		JSWebKitPoint.cpp \
		JSWorkerNavigator.cpp \
		JSPlugin.cpp \
		JSMimeType.cpp \
		JSPluginArray.cpp \
		JSMimeTypeArray.cpp \
		JSDatabase.cpp \
		JSStorage.cpp \
		JSStorageEvent.cpp \
		JSSQLError.cpp \
		JSSQLResultSet.cpp \
		JSSQLResultSetRowList.cpp \
		JSSQLTransaction.cpp \
		JSSVGZoomEvent.cpp \
		JSSVGAElement.cpp \
		JSSVGAltGlyphElement.cpp \
		JSSVGAngle.cpp \
		JSSVGAnimateColorElement.cpp \
		JSSVGAnimatedAngle.cpp \
		JSSVGAnimatedBoolean.cpp \
		JSSVGAnimatedEnumeration.cpp \
		JSSVGAnimatedInteger.cpp \
		JSSVGAnimatedLength.cpp \
		JSSVGAnimatedLengthList.cpp \
		JSSVGAnimatedNumber.cpp \
		JSSVGAnimatedNumberList.cpp \
		JSSVGAnimatedPreserveAspectRatio.cpp \
		JSSVGAnimatedRect.cpp \
		JSSVGAnimatedString.cpp \
		JSSVGAnimatedTransformList.cpp \
		JSSVGAnimateElement.cpp \
		JSSVGAnimateTransformElement.cpp \
		JSSVGAnimationElement.cpp \
		JSSVGCircleElement.cpp \
		JSSVGClipPathElement.cpp \
		JSSVGColor.cpp \
		JSSVGComponentTransferFunctionElement.cpp \
		JSSVGCursorElement.cpp \
		JSSVGDefsElement.cpp \
		JSSVGDescElement.cpp \
		JSSVGDocument.cpp \
		JSSVGElement.cpp \
		JSSVGElementInstance.cpp \
		JSSVGElementInstanceList.cpp \
		JSSVGEllipseElement.cpp \
		JSSVGException.cpp \
		JSSVGFEBlendElement.cpp \
		JSSVGFEColorMatrixElement.cpp \
		JSSVGFEComponentTransferElement.cpp \
		JSSVGFECompositeElement.cpp \
		JSSVGFEDiffuseLightingElement.cpp \
		JSSVGFEDisplacementMapElement.cpp \
		JSSVGFEDistantLightElement.cpp \
		JSSVGFEFloodElement.cpp \
		JSSVGFEFuncAElement.cpp \
		JSSVGFEFuncBElement.cpp \
		JSSVGFEFuncGElement.cpp \
		JSSVGFEFuncRElement.cpp \
		JSSVGFEGaussianBlurElement.cpp \
		JSSVGFEImageElement.cpp \
		JSSVGFEMergeElement.cpp \
		JSSVGFEMergeNodeElement.cpp \
		JSSVGFEMorphologyElement.cpp \
		JSSVGFEOffsetElement.cpp \
		JSSVGFEPointLightElement.cpp \
		JSSVGFESpecularLightingElement.cpp \
		JSSVGFESpotLightElement.cpp \
		JSSVGFETileElement.cpp \
		JSSVGFETurbulenceElement.cpp \
		JSSVGFilterElement.cpp \
		JSSVGFontElement.cpp \
		JSSVGFontFaceElement.cpp \
		JSSVGFontFaceFormatElement.cpp \
		JSSVGFontFaceNameElement.cpp \
		JSSVGFontFaceSrcElement.cpp \
		JSSVGFontFaceUriElement.cpp \
		JSSVGForeignObjectElement.cpp \
		JSSVGGElement.cpp \
		JSSVGGlyphElement.cpp \
		JSSVGGradientElement.cpp \
		JSSVGHKernElement.cpp \
		JSSVGImageElement.cpp \
		JSSVGLength.cpp \
		JSSVGLengthList.cpp \
		JSSVGLinearGradientElement.cpp \
		JSSVGLineElement.cpp \
		JSSVGMarkerElement.cpp \
		JSSVGMaskElement.cpp \
		JSSVGMatrix.cpp \
		JSSVGMetadataElement.cpp \
		JSSVGMissingGlyphElement.cpp \
		JSSVGNumber.cpp \
		JSSVGNumberList.cpp \
		JSSVGPaint.cpp \
		JSSVGPathElement.cpp \
		JSSVGPathSegArcAbs.cpp \
		JSSVGPathSegArcRel.cpp \
		JSSVGPathSegClosePath.cpp \
		JSSVGPathSegCurvetoCubicAbs.cpp \
		JSSVGPathSegCurvetoCubicRel.cpp \
		JSSVGPathSegCurvetoCubicSmoothAbs.cpp \
		JSSVGPathSegCurvetoCubicSmoothRel.cpp \
		JSSVGPathSegCurvetoQuadraticAbs.cpp \
		JSSVGPathSegCurvetoQuadraticRel.cpp \
		JSSVGPathSegCurvetoQuadraticSmoothAbs.cpp \
		JSSVGPathSegCurvetoQuadraticSmoothRel.cpp \
		JSSVGPathSeg.cpp \
		JSSVGPathSegLinetoAbs.cpp \
		JSSVGPathSegLinetoHorizontalAbs.cpp \
		JSSVGPathSegLinetoHorizontalRel.cpp \
		JSSVGPathSegLinetoRel.cpp \
		JSSVGPathSegLinetoVerticalAbs.cpp \
		JSSVGPathSegLinetoVerticalRel.cpp \
		JSSVGPathSegList.cpp \
		JSSVGPathSegMovetoAbs.cpp \
		JSSVGPathSegMovetoRel.cpp \
		JSSVGPatternElement.cpp \
		JSSVGPoint.cpp \
		JSSVGPointList.cpp \
		JSSVGPolygonElement.cpp \
		JSSVGPolylineElement.cpp \
		JSSVGPreserveAspectRatio.cpp \
		JSSVGRadialGradientElement.cpp \
		JSSVGRectElement.cpp \
		JSSVGRect.cpp \
		JSSVGRenderingIntent.cpp \
		JSSVGScriptElement.cpp \
		JSSVGSetElement.cpp \
		JSSVGStopElement.cpp \
		JSSVGStringList.cpp \
		JSSVGStyleElement.cpp \
		JSSVGSVGElement.cpp \
		JSSVGSwitchElement.cpp \
		JSSVGSymbolElement.cpp \
		JSSVGTextContentElement.cpp \
		JSSVGTextElement.cpp \
		JSSVGTextPathElement.cpp \
		JSSVGTextPositioningElement.cpp \
		JSSVGTitleElement.cpp \
		JSSVGTransform.cpp \
		JSSVGTransformList.cpp \
		JSSVGTRefElement.cpp \
		JSSVGTSpanElement.cpp \
		JSSVGUnitTypes.cpp \
		JSSVGUseElement.cpp \
		JSSVGViewElement.cpp \
		JSWebSocket.cpp \
		JSAbstractWorker.cpp \
		JSDedicatedWorkerContext.cpp \
		JSSharedWorker.cpp \
		JSSharedWorkerContext.cpp \
		JSWorker.cpp \
		JSWorkerContext.cpp \
		JSWorkerLocation.cpp \
		JSDOMParser.cpp \
		JSXMLHttpRequest.cpp \
		JSXMLHttpRequestException.cpp \
		JSXMLHttpRequestProgressEvent.cpp \
		JSXMLHttpRequestUpload.cpp \
		JSXMLSerializer.cpp \
		JSXPathNSResolver.cpp \
		JSXPathException.cpp \
		JSXPathExpression.cpp \
		JSXPathResult.cpp \
		JSXPathEvaluator.cpp \
		JSXSLTProcessor.cpp \
		CSSGrammar.cpp \
		HTMLNames.cpp \
		HTMLElementFactory.cpp \
		JSHTMLElementWrapperFactory.cpp \
		XMLNSNames.cpp \
		XMLNames.cpp \
		UserAgentStyleSheetsData.cpp \
		XPathGrammar.cpp \
		AccessibilityImageMapLink.cpp \
		AccessibilityMediaControls.cpp \
		AccessibilityMenuList.cpp \
		AccessibilityMenuListOption.cpp \
		AccessibilityMenuListPopup.cpp \
		AccessibilityObject.cpp \
		AccessibilityList.cpp \
		AccessibilityListBox.cpp \
		AccessibilityListBoxOption.cpp \
		AccessibilityRenderObject.cpp \
		AccessibilityScrollbar.cpp \
		AccessibilitySlider.cpp \
		AccessibilityARIAGrid.cpp \
		AccessibilityARIAGridCell.cpp \
		AccessibilityARIAGridRow.cpp \
		AccessibilityTable.cpp \
		AccessibilityTableCell.cpp \
		AccessibilityTableColumn.cpp \
		AccessibilityTableHeaderContainer.cpp \
		AccessibilityTableRow.cpp \
		AXObjectCache.cpp \
		GCController.cpp \
		DOMObjectHashTableMap.cpp \
		DOMWrapperWorld.cpp \
		JSCallbackData.cpp \
		JSAttrCustom.cpp \
		JSCDATASectionCustom.cpp \
		JSCanvasRenderingContextCustom.cpp \
		JSCanvasRenderingContext2DCustom.cpp \
		JSClipboardCustom.cpp \
		JSConsoleCustom.cpp \
		JSCSSRuleCustom.cpp \
		JSCSSRuleListCustom.cpp \
		JSCSSStyleDeclarationCustom.cpp \
		JSCSSValueCustom.cpp \
		JSCoordinatesCustom.cpp \
		JSCustomPositionCallback.cpp \
		JSCustomPositionErrorCallback.cpp \
		JSCustomVoidCallback.cpp \
		JSCustomXPathNSResolver.cpp \
		JSDataGridColumnListCustom.cpp \
		JSDataGridDataSource.cpp \
		JSDebugWrapperSet.cpp \
		JSDocumentCustom.cpp \
		JSDocumentFragmentCustom.cpp \
		JSDOMFormDataCustom.cpp \
		JSDOMGlobalObject.cpp \
		JSDOMWindowBase.cpp \
		JSDOMWindowCustom.cpp \
		JSDOMWindowShell.cpp \
		JSDOMWrapper.cpp \
		JSElementCustom.cpp \
		JSEventCustom.cpp \
		JSEventSourceConstructor.cpp \
		JSEventSourceCustom.cpp \
		JSEventTarget.cpp \
		JSExceptionBase.cpp \
		JSGeolocationCustom.cpp \
		JSHistoryCustom.cpp \
		JSHTMLAppletElementCustom.cpp \
		JSHTMLCanvasElementCustom.cpp \
		JSHTMLAllCollectionCustom.cpp \
		JSHTMLCollectionCustom.cpp \
		JSHTMLDataGridElementCustom.cpp \
		JSHTMLDocumentCustom.cpp \
		JSHTMLElementCustom.cpp \
		JSHTMLEmbedElementCustom.cpp \
		JSHTMLFormElementCustom.cpp \
		JSHTMLFrameElementCustom.cpp \
		JSHTMLFrameSetElementCustom.cpp \
		JSHTMLIFrameElementCustom.cpp \
		JSHTMLInputElementCustom.cpp \
		JSHTMLObjectElementCustom.cpp \
		JSHTMLOptionsCollectionCustom.cpp \
		JSHTMLSelectElementCustom.cpp \
		JSImageConstructor.cpp \
		JSImageDataCustom.cpp \
		JSInjectedScriptHostCustom.cpp \
		JSInspectorFrontendHostCustom.cpp \
		JSLocationCustom.cpp \
		JSNamedNodeMapCustom.cpp \
		JSNavigatorCustom.cpp \
		JSNodeCustom.cpp \
		JSNodeFilterCondition.cpp \
		JSNodeFilterCustom.cpp \
		JSNodeIteratorCustom.cpp \
		JSNodeListCustom.cpp \
		JSOptionConstructor.cpp \
		JSStyleSheetCustom.cpp \
		JSStyleSheetListCustom.cpp \
		JSTextCustom.cpp \
		JSTreeWalkerCustom.cpp \
		JSWebKitCSSMatrixConstructor.cpp \
		JSWebKitPointConstructor.cpp \
		JSXMLHttpRequestConstructor.cpp \
		JSXMLHttpRequestCustom.cpp \
		JSXMLHttpRequestUploadCustom.cpp \
		JSPluginCustom.cpp \
		JSPluginArrayCustom.cpp \
		JSMessageChannelConstructor.cpp \
		JSMessageChannelCustom.cpp \
		JSMessageEventCustom.cpp \
		JSMessagePortCustom.cpp \
		JSMimeTypeArrayCustom.cpp \
		JSDOMBinding.cpp \
		JSEventListener.cpp \
		JSLazyEventListener.cpp \
		JSPluginElementFunctions.cpp \
		JSPopStateEventCustom.cpp \
		JavaScriptProfile.cpp \
		JavaScriptProfileNode.cpp \
		ScriptArray.cpp \
		ScriptCachedFrameData.cpp \
		ScriptCallFrame.cpp \
		ScriptCallStack.cpp \
		ScriptController.cpp \
		ScriptDebugServer.cpp \
		ScriptEventListener.cpp \
		ScriptFunctionCall.cpp \
		ScriptObject.cpp \
		ScriptProfiler.cpp \
		ScriptState.cpp \
		ScriptValue.cpp \
		ScheduledAction.cpp \
		SerializedScriptValue.cpp \
		ScriptControllerBase.cpp \
		IdentifierRep.cpp \
		NP_jsobject.cpp \
		npruntime.cpp \
		runtime_array.cpp \
		runtime_method.cpp \
		runtime_object.cpp \
		runtime_root.cpp \
		CRuntimeObject.cpp \
		c_class.cpp \
		c_instance.cpp \
		c_runtime.cpp \
		c_utility.cpp \
		BridgeJSC.cpp \
		CSSBorderImageValue.cpp \
		CSSCanvasValue.cpp \
		CSSCharsetRule.cpp \
		CSSComputedStyleDeclaration.cpp \
		CSSCursorImageValue.cpp \
		CSSFontFace.cpp \
		CSSFontFaceRule.cpp \
		CSSFontFaceSrcValue.cpp \
		CSSFontSelector.cpp \
		CSSFontFaceSource.cpp \
		CSSFunctionValue.cpp \
		CSSGradientValue.cpp \
		CSSHelper.cpp \
		CSSImageValue.cpp \
		CSSImageGeneratorValue.cpp \
		CSSImportRule.cpp \
		CSSInheritedValue.cpp \
		CSSInitialValue.cpp \
		CSSMediaRule.cpp \
		CSSMutableStyleDeclaration.cpp \
		CSSPageRule.cpp \
		CSSParser.cpp \
		CSSParserValues.cpp \
		CSSPrimitiveValue.cpp \
		CSSProperty.cpp \
		CSSPropertyLonghand.cpp \
		CSSReflectValue.cpp \
		CSSRule.cpp \
		CSSRuleList.cpp \
		CSSSelector.cpp \
		CSSSelectorList.cpp \
		CSSSegmentedFontFace.cpp \
		CSSStyleDeclaration.cpp \
		CSSStyleRule.cpp \
		CSSStyleSelector.cpp \
		CSSStyleSheet.cpp \
		CSSTimingFunctionValue.cpp \
		CSSUnicodeRangeValue.cpp \
		CSSValueList.cpp \
		CSSVariableDependentValue.cpp \
		CSSVariablesDeclaration.cpp \
		CSSVariablesRule.cpp \
		FontFamilyValue.cpp \
		FontValue.cpp \
		MediaFeatureNames.cpp \
		MediaList.cpp \
		MediaQuery.cpp \
		MediaQueryEvaluator.cpp \
		MediaQueryExp.cpp \
		RGBColor.cpp \
		ShadowValue.cpp \
		StyleBase.cpp \
		StyleList.cpp \
		StyleMedia.cpp \
		StyleSheet.cpp \
		StyleSheetList.cpp \
		WebKitCSSKeyframeRule.cpp \
		WebKitCSSKeyframesRule.cpp \
		WebKitCSSMatrix.cpp \
		WebKitCSSTransformValue.cpp \
		ActiveDOMObject.cpp \
		Attr.cpp \
		Attribute.cpp \
		BeforeTextInsertedEvent.cpp \
		BeforeUnloadEvent.cpp \
		CDATASection.cpp \
		CanvasSurface.cpp \
		CharacterData.cpp \
		CheckedRadioButtons.cpp \
		ChildNodeList.cpp \
		ClassNodeList.cpp \
		ClientRect.cpp \
		ClientRectList.cpp \
		Clipboard.cpp \
		ClipboardEvent.cpp \
		Comment.cpp \
		CompositionEvent.cpp \
		ContainerNode.cpp \
		CSSMappedAttributeDeclaration.cpp \
		CustomEvent.cpp \
		Document.cpp \
		DocumentFragment.cpp \
		DocumentType.cpp \
		DOMImplementation.cpp \
		DynamicNodeList.cpp \
		EditingText.cpp \
		Element.cpp \
		Entity.cpp \
		EntityReference.cpp \
		ErrorEvent.cpp \
		Event.cpp \
		EventNames.cpp \
		EventTarget.cpp \
		ExceptionBase.cpp \
		ExceptionCode.cpp \
		InputElement.cpp \
		KeyboardEvent.cpp \
		MappedAttribute.cpp \
		MessageChannel.cpp \
		MessageEvent.cpp \
		MessagePort.cpp \
		MessagePortChannel.cpp \
		MouseEvent.cpp \
		MouseRelatedEvent.cpp \
		MutationEvent.cpp \
		NamedAttrMap.cpp \
		NamedMappedAttrMap.cpp \
		NameNodeList.cpp \
		Node.cpp \
		NodeFilterCondition.cpp \
		NodeFilter.cpp \
		NodeIterator.cpp \
		Notation.cpp \
		OptionGroupElement.cpp \
		OptionElement.cpp \
		OverflowEvent.cpp \
		PageTransitionEvent.cpp \
		PopStateEvent.cpp \
		Position.cpp \
		PositionIterator.cpp \
		ProcessingInstruction.cpp \
		ProgressEvent.cpp \
		QualifiedName.cpp \
		Range.cpp \
		RegisteredEventListener.cpp \
		ScriptElement.cpp \
		ScriptExecutionContext.cpp \
		SelectElement.cpp \
		SelectorNodeList.cpp \
		SpaceSplitString.cpp \
		StaticNodeList.cpp \
		StyledElement.cpp \
		StyleElement.cpp \
		TagNodeList.cpp \
		Text.cpp \
		TextEvent.cpp \
		Touch.cpp \
		TouchEvent.cpp \
		TouchList.cpp \
		Traversal.cpp \
		TreeWalker.cpp \
		UIEvent.cpp \
		UIEventWithKeyState.cpp \
		ViewportArguments.cpp \
		WebKitAnimationEvent.cpp \
		WebKitTransitionEvent.cpp \
		WheelEvent.cpp \
		XMLTokenizer.cpp \
		XMLTokenizerQt.cpp \
		PlatformMessagePortChannel.cpp \
		AppendNodeCommand.cpp \
		ApplyStyleCommand.cpp \
		BreakBlockquoteCommand.cpp \
		CompositeEditCommand.cpp \
		CreateLinkCommand.cpp \
		DeleteButtonController.cpp \
		DeleteButton.cpp \
		DeleteFromTextNodeCommand.cpp \
		DeleteSelectionCommand.cpp \
		EditCommand.cpp \
		Editor.cpp \
		EditorCommand.cpp \
		FormatBlockCommand.cpp \
		htmlediting.cpp \
		HTMLInterchange.cpp \
		IndentOutdentCommand.cpp \
		InsertIntoTextNodeCommand.cpp \
		InsertLineBreakCommand.cpp \
		InsertListCommand.cpp \
		InsertNodeBeforeCommand.cpp \
		InsertParagraphSeparatorCommand.cpp \
		InsertTextCommand.cpp \
		JoinTextNodesCommand.cpp \
		markup.cpp \
		MergeIdenticalElementsCommand.cpp \
		ModifySelectionListLevel.cpp \
		MoveSelectionCommand.cpp \
		RemoveCSSPropertyCommand.cpp \
		RemoveFormatCommand.cpp \
		RemoveNodeCommand.cpp \
		RemoveNodePreservingChildrenCommand.cpp \
		ReplaceNodeWithSpanCommand.cpp \
		ReplaceSelectionCommand.cpp \
		SelectionController.cpp \
		SetNodeAttributeCommand.cpp \
		SmartReplace.cpp \
		SmartReplaceICU.cpp \
		SplitElementCommand.cpp \
		SplitTextNodeCommand.cpp \
		SplitTextNodeContainingElementCommand.cpp \
		TextIterator.cpp \
		TypingCommand.cpp \
		UnlinkCommand.cpp \
		VisiblePosition.cpp \
		VisibleSelection.cpp \
		visible_units.cpp \
		WrapContentsInDummySpanCommand.cpp \
		BackForwardList.cpp \
		CachedFrame.cpp \
		CachedPage.cpp \
		HistoryItem.cpp \
		HistoryItemQt.cpp \
		PageCache.cpp \
		Blob.cpp \
		CanvasGradient.cpp \
		CanvasPattern.cpp \
		CanvasPixelArray.cpp \
		CanvasRenderingContext.cpp \
		CanvasRenderingContext2D.cpp \
		CanvasStyle.cpp \
		CollectionCache.cpp \
		DataGridColumn.cpp \
		DataGridColumnList.cpp \
		DateComponents.cpp \
		DOMDataGridDataSource.cpp \
		DOMFormData.cpp \
		File.cpp \
		FileList.cpp \
		FormDataList.cpp \
		HTMLAllCollection.cpp \
		HTMLAnchorElement.cpp \
		HTMLAppletElement.cpp \
		HTMLAreaElement.cpp \
		HTMLBaseElement.cpp \
		HTMLBaseFontElement.cpp \
		HTMLBlockquoteElement.cpp \
		HTMLBodyElement.cpp \
		HTMLBRElement.cpp \
		HTMLButtonElement.cpp \
		HTMLCanvasElement.cpp \
		HTMLCollection.cpp \
		HTMLDataGridElement.cpp \
		HTMLDataGridCellElement.cpp \
		HTMLDataGridColElement.cpp \
		HTMLDataGridRowElement.cpp \
		HTMLDataListElement.cpp \
		HTMLDirectoryElement.cpp \
		HTMLDivElement.cpp \
		HTMLDListElement.cpp \
		HTMLDocument.cpp \
		HTMLElement.cpp \
		HTMLEmbedElement.cpp \
		HTMLFieldSetElement.cpp \
		HTMLFontElement.cpp \
		HTMLFormCollection.cpp \
		HTMLFormElement.cpp \
		HTMLFrameElementBase.cpp \
		HTMLFrameElement.cpp \
		HTMLFrameOwnerElement.cpp \
		HTMLFrameSetElement.cpp \
		HTMLFormControlElement.cpp \
		HTMLHeadElement.cpp \
		HTMLHeadingElement.cpp \
		HTMLHRElement.cpp \
		HTMLHtmlElement.cpp \
		HTMLIFrameElement.cpp \
		HTMLImageElement.cpp \
		HTMLImageLoader.cpp \
		HTMLInputElement.cpp \
		HTMLIsIndexElement.cpp \
		HTMLKeygenElement.cpp \
		HTMLLabelElement.cpp \
		HTMLLegendElement.cpp \
		HTMLLIElement.cpp \
		HTMLLinkElement.cpp \
		HTMLMapElement.cpp \
		HTMLMarqueeElement.cpp \
		HTMLMenuElement.cpp \
		HTMLMetaElement.cpp \
		HTMLModElement.cpp \
		HTMLNameCollection.cpp \
		HTMLObjectElement.cpp \
		HTMLOListElement.cpp \
		HTMLOptGroupElement.cpp \
		HTMLOptionElement.cpp \
		HTMLOptionsCollection.cpp \
		HTMLParagraphElement.cpp \
		HTMLParamElement.cpp \
		HTMLParser.cpp \
		HTMLParserErrorCodes.cpp \
		HTMLPlugInElement.cpp \
		HTMLPlugInImageElement.cpp \
		HTMLPreElement.cpp \
		HTMLProgressElement.cpp \
		HTMLQuoteElement.cpp \
		HTMLScriptElement.cpp \
		HTMLSelectElement.cpp \
		HTMLStyleElement.cpp \
		HTMLTableCaptionElement.cpp \
		HTMLTableCellElement.cpp \
		HTMLTableColElement.cpp \
		HTMLTableElement.cpp \
		HTMLTablePartElement.cpp \
		HTMLTableRowElement.cpp \
		HTMLTableRowsCollection.cpp \
		HTMLTableSectionElement.cpp \
		HTMLTextAreaElement.cpp \
		HTMLTitleElement.cpp \
		HTMLTokenizer.cpp \
		HTMLUListElement.cpp \
		HTMLViewSourceDocument.cpp \
		ImageData.cpp \
		PreloadScanner.cpp \
		StepRange.cpp \
		ValidityState.cpp \
		ConsoleMessage.cpp \
		InjectedScript.cpp \
		InjectedScriptHost.cpp \
		InspectorBackend.cpp \
		InspectorController.cpp \
		InspectorDatabaseResource.cpp \
		InspectorDOMAgent.cpp \
		InspectorDOMStorageResource.cpp \
		InspectorFrontend.cpp \
		InspectorFrontendClientLocal.cpp \
		InspectorFrontendHost.cpp \
		InspectorResource.cpp \
		InspectorTimelineAgent.cpp \
		TimelineRecordFactory.cpp \
		ArchiveFactory.cpp \
		ArchiveResource.cpp \
		ArchiveResourceCollection.cpp \
		Cache.cpp \
		CachedCSSStyleSheet.cpp \
		CachedFont.cpp \
		CachedImage.cpp \
		CachedResourceClientWalker.cpp \
		CachedResourceHandle.cpp \
		CachedResource.cpp \
		CachedScript.cpp \
		CachedXSLStyleSheet.cpp \
		CrossOriginAccessControl.cpp \
		CrossOriginPreflightResultCache.cpp \
		DocLoader.cpp \
		DocumentLoader.cpp \
		DocumentThreadableLoader.cpp \
		FormState.cpp \
		FrameLoader.cpp \
		HistoryController.cpp \
		FTPDirectoryDocument.cpp \
		FTPDirectoryParser.cpp \
		IconLoader.cpp \
		ImageDocument.cpp \
		ImageLoader.cpp \
		loader.cpp \
		MainResourceLoader.cpp \
		MediaDocument.cpp \
		NavigationAction.cpp \
		NetscapePlugInStreamLoader.cpp \
		PlaceholderDocument.cpp \
		PluginDocument.cpp \
		PolicyCallback.cpp \
		PolicyChecker.cpp \
		ProgressTracker.cpp \
		RedirectScheduler.cpp \
		Request.cpp \
		ResourceLoader.cpp \
		ResourceLoadNotifier.cpp \
		SubresourceLoader.cpp \
		TextDocument.cpp \
		TextResourceDecoder.cpp \
		ThreadableLoader.cpp \
		AnimationBase.cpp \
		AnimationController.cpp \
		CompositeAnimation.cpp \
		ImplicitAnimation.cpp \
		KeyframeAnimation.cpp \
		BarInfo.cpp \
		Chrome.cpp \
		Console.cpp \
		ContextMenuController.cpp \
		DOMSelection.cpp \
		DOMTimer.cpp \
		DOMWindow.cpp \
		Navigator.cpp \
		NavigatorBase.cpp \
		DragController.cpp \
		EventHandler.cpp \
		EventSource.cpp \
		FocusController.cpp \
		Frame.cpp \
		FrameTree.cpp \
		FrameView.cpp \
		Geolocation.cpp \
		GeolocationController.cpp \
		GeolocationPositionCache.cpp \
		History.cpp \
		Location.cpp \
		MouseEventWithHitTestResults.cpp \
		OriginAccessEntry.cpp \
		Page.cpp \
		PageGroup.cpp \
		PageGroupLoadDeferrer.cpp \
		PluginHalter.cpp \
		PrintContext.cpp \
		SecurityOrigin.cpp \
		Screen.cpp \
		Settings.cpp \
		SpatialNavigation.cpp \
		UserContentURLPattern.cpp \
		WindowFeatures.cpp \
		XSSAuditor.cpp \
		PluginData.cpp \
		PluginArray.cpp \
		Plugin.cpp \
		PluginMainThreadScheduler.cpp \
		MimeType.cpp \
		MimeTypeArray.cpp \
		Animation.cpp \
		AnimationList.cpp \
		Arena.cpp \
		AtomicString.cpp \
		Base64.cpp \
		BidiContext.cpp \
		ContentType.cpp \
		ContextMenu.cpp \
		CrossThreadCopier.cpp \
		CString.cpp \
		DeprecatedPtrListImpl.cpp \
		DragData.cpp \
		DragImage.cpp \
		FileChooser.cpp \
		GeolocationService.cpp \
		RGBA32BufferQt.cpp \
		FontDescription.cpp \
		FontFallbackList.cpp \
		FontFamily.cpp \
		BitmapImage.cpp \
		Color.cpp \
		FloatPoint3D.cpp \
		FloatPoint.cpp \
		FloatQuad.cpp \
		FloatRect.cpp \
		FloatSize.cpp \
		FontData.cpp \
		Font.cpp \
		FontCache.cpp \
		GeneratedImage.cpp \
		Gradient.cpp \
		GraphicsContext.cpp \
		GraphicsTypes.cpp \
		Image.cpp \
		ImageBuffer.cpp \
		ImageSource.cpp \
		IntRect.cpp \
		Path.cpp \
		PathTraversalState.cpp \
		Pattern.cpp \
		Pen.cpp \
		SegmentedFontData.cpp \
		SimpleFontData.cpp \
		TiledBackingStore.cpp \
		AffineTransform.cpp \
		TransformationMatrix.cpp \
		MatrixTransformOperation.cpp \
		Matrix3DTransformOperation.cpp \
		PerspectiveTransformOperation.cpp \
		RotateTransformOperation.cpp \
		ScaleTransformOperation.cpp \
		SkewTransformOperation.cpp \
		TransformOperations.cpp \
		TranslateTransformOperation.cpp \
		KURL.cpp \
		Length.cpp \
		LinkHash.cpp \
		Logging.cpp \
		MIMETypeRegistry.cpp \
		GeolocationServiceMock.cpp \
		AuthenticationChallengeBase.cpp \
		Credential.cpp \
		FormData.cpp \
		FormDataBuilder.cpp \
		HTTPHeaderMap.cpp \
		HTTPParsers.cpp \
		NetworkStateNotifier.cpp \
		ProtectionSpace.cpp \
		ResourceErrorBase.cpp \
		ResourceHandle.cpp \
		ResourceRequestBase.cpp \
		ResourceResponseBase.cpp \
		RegularExpression.cpp \
		Scrollbar.cpp \
		ScrollbarThemeComposite.cpp \
		ScrollView.cpp \
		SegmentedString.cpp \
		SharedBuffer.cpp \
		String.cpp \
		StringBuilder.cpp \
		StringImpl.cpp \
		TextCodec.cpp \
		TextCodecLatin1.cpp \
		TextCodecUserDefined.cpp \
		TextCodecUTF16.cpp \
		TextEncoding.cpp \
		TextEncodingDetectorNone.cpp \
		TextEncodingRegistry.cpp \
		TextStream.cpp \
		ThreadGlobalData.cpp \
		ThreadTimers.cpp \
		Timer.cpp \
		UnicodeRange.cpp \
		Widget.cpp \
		PluginDatabase.cpp \
		PluginDebug.cpp \
		PluginInfoStore.cpp \
		PluginPackage.cpp \
		PluginStream.cpp \
		PluginView.cpp \
		AutoTableLayout.cpp \
		break_lines.cpp \
		BidiRun.cpp \
		CounterNode.cpp \
		EllipsisBox.cpp \
		FixedTableLayout.cpp \
		HitTestResult.cpp \
		InlineBox.cpp \
		InlineFlowBox.cpp \
		InlineTextBox.cpp \
		LayoutState.cpp \
		RenderApplet.cpp \
		RenderArena.cpp \
		RenderBlock.cpp \
		RenderBlockLineLayout.cpp \
		RenderBox.cpp \
		RenderBoxModelObject.cpp \
		RenderBR.cpp \
		RenderButton.cpp \
		RenderCounter.cpp \
		RenderDataGrid.cpp \
		RenderEmbeddedObject.cpp \
		RenderFieldset.cpp \
		RenderFileUploadControl.cpp \
		RenderFlexibleBox.cpp \
		RenderFrame.cpp \
		RenderFrameSet.cpp \
		RenderHTMLCanvas.cpp \
		RenderImage.cpp \
		RenderImageGeneratedContent.cpp \
		RenderInline.cpp \
		RenderLayer.cpp \
		RenderLineBoxList.cpp \
		RenderListBox.cpp \
		RenderListItem.cpp \
		RenderListMarker.cpp \
		RenderMarquee.cpp \
		RenderMenuList.cpp \
		RenderObject.cpp \
		RenderObjectChildList.cpp \
		RenderPart.cpp \
		RenderPartObject.cpp \
		RenderProgress.cpp \
		RenderReplaced.cpp \
		RenderReplica.cpp \
		RenderRuby.cpp \
		RenderRubyBase.cpp \
		RenderRubyRun.cpp \
		RenderRubyText.cpp \
		RenderScrollbar.cpp \
		RenderScrollbarPart.cpp \
		RenderScrollbarTheme.cpp \
		RenderSlider.cpp \
		RenderTable.cpp \
		RenderTableCell.cpp \
		RenderTableCol.cpp \
		RenderTableRow.cpp \
		RenderTableSection.cpp \
		RenderText.cpp \
		RenderTextControl.cpp \
		RenderTextControlMultiLine.cpp \
		RenderTextControlSingleLine.cpp \
		RenderTextFragment.cpp \
		RenderTheme.cpp \
		RenderTreeAsText.cpp \
		RenderView.cpp \
		RenderWidget.cpp \
		RenderWordBreak.cpp \
		RootInlineBox.cpp \
		SVGRenderTreeAsText.cpp \
		ScrollBehavior.cpp \
		TextControlInnerElements.cpp \
		TransformState.cpp \
		BindingURI.cpp \
		ContentData.cpp \
		CounterDirectives.cpp \
		FillLayer.cpp \
		KeyframeList.cpp \
		NinePieceImage.cpp \
		RenderStyle.cpp \
		ShadowData.cpp \
		StyleBackgroundData.cpp \
		StyleBoxData.cpp \
		StyleCachedImage.cpp \
		StyleFlexibleBoxData.cpp \
		StyleGeneratedImage.cpp \
		StyleInheritedData.cpp \
		StyleMarqueeData.cpp \
		StyleMultiColData.cpp \
		StyleRareInheritedData.cpp \
		StyleRareNonInheritedData.cpp \
		StyleSurroundData.cpp \
		StyleTransformData.cpp \
		StyleVisualData.cpp \
		DOMParser.cpp \
		XMLHttpRequest.cpp \
		XMLHttpRequestProgressEventThrottle.cpp \
		XMLHttpRequestUpload.cpp \
		XMLSerializer.cpp \
		AccessibilityObjectQt.cpp \
		ScriptControllerQt.cpp \
		qt_class.cpp \
		qt_instance.cpp \
		qt_pixmapruntime.cpp \
		qt_runtime.cpp \
		DragControllerQt.cpp \
		EventHandlerQt.cpp \
		FrameQt.cpp \
		TransformationMatrixQt.cpp \
		ColorQt.cpp \
		FontQt.cpp \
		FontPlatformDataQt.cpp \
		FloatPointQt.cpp \
		FloatRectQt.cpp \
		GradientQt.cpp \
		GraphicsContextQt.cpp \
		IconQt.cpp \
		ImageBufferQt.cpp \
		ImageDecoderQt.cpp \
		ImageQt.cpp \
		IntPointQt.cpp \
		IntRectQt.cpp \
		IntSizeQt.cpp \
		PathQt.cpp \
		PatternQt.cpp \
		StillImageQt.cpp \
		ResourceHandleQt.cpp \
		ResourceRequestQt.cpp \
		DnsPrefetchHelper.cpp \
		QNetworkReplyHandler.cpp \
		EditorQt.cpp \
		ClipboardQt.cpp \
		ContextMenuItemQt.cpp \
		ContextMenuQt.cpp \
		CookieJarQt.cpp \
		CursorQt.cpp \
		DragDataQt.cpp \
		DragImageQt.cpp \
		EventLoopQt.cpp \
		FileChooserQt.cpp \
		FileSystemQt.cpp \
		SharedBufferQt.cpp \
		FontCacheQt.cpp \
		FontCustomPlatformDataQt.cpp \
		GlyphPageTreeNodeQt.cpp \
		SimpleFontDataQt.cpp \
		TileQt.cpp \
		KURLQt.cpp \
		Localizations.cpp \
		MIMETypeRegistryQt.cpp \
		PasteboardQt.cpp \
		PlatformKeyboardEventQt.cpp \
		PlatformMouseEventQt.cpp \
		PlatformScreenQt.cpp \
		PlatformTouchEventQt.cpp \
		PlatformTouchPointQt.cpp \
		PopupMenuQt.cpp \
		QtAbstractWebPopup.cpp \
		RenderThemeQt.cpp \
		ScrollbarQt.cpp \
		ScrollbarThemeQt.cpp \
		ScrollViewQt.cpp \
		SearchPopupMenuQt.cpp \
		SharedTimerQt.cpp \
		SoundQt.cpp \
		LoggingQt.cpp \
		StringQt.cpp \
		TemporaryLinkStubsQt.cpp \
		TextBoundariesQt.cpp \
		TextBreakIteratorQt.cpp \
		TextCodecQt.cpp \
		WheelEventQt.cpp \
		WidgetQt.cpp \
		PluginDataQt.cpp \
		QtFallbackWebPopup.cpp \
		ChromeClientQt.cpp \
		ContextMenuClientQt.cpp \
		DragClientQt.cpp \
		EditorClientQt.cpp \
		EditCommandQt.cpp \
		FrameLoaderClientQt.cpp \
		InspectorClientQt.cpp \
		qwebframe.cpp \
		qgraphicswebview.cpp \
		qwebpage.cpp \
		qwebview.cpp \
		qwebelement.cpp \
		qwebhistory.cpp \
		qwebsettings.cpp \
		qwebhistoryinterface.cpp \
		qwebplugindatabase.cpp \
		qwebpluginfactory.cpp \
		qwebsecurityorigin.cpp \
		qwebdatabase.cpp \
		qwebinspector.cpp \
		qwebkitversion.cpp \
		PluginPackageNone.cpp \
		PluginViewNone.cpp \
		sqlite3.c \
		SQLiteAuthorizer.cpp \
		SQLiteDatabase.cpp \
		SQLiteFileSystem.cpp \
		SQLiteStatement.cpp \
		SQLiteTransaction.cpp \
		SQLValue.cpp \
		Database.cpp \
		DatabaseAuthorizer.cpp \
		ChangeVersionWrapper.cpp \
		DatabaseTask.cpp \
		DatabaseThread.cpp \
		DatabaseTracker.cpp \
		OriginQuotaManager.cpp \
		OriginUsageRecord.cpp \
		SQLResultSet.cpp \
		SQLResultSetRowList.cpp \
		SQLStatement.cpp \
		SQLTransaction.cpp \
		SQLTransactionClient.cpp \
		SQLTransactionCoordinator.cpp \
		JSCustomSQLStatementCallback.cpp \
		JSCustomSQLStatementErrorCallback.cpp \
		JSCustomSQLTransactionCallback.cpp \
		JSCustomSQLTransactionErrorCallback.cpp \
		JSDatabaseCallback.cpp \
		JSDatabaseCustom.cpp \
		JSSQLResultSetRowListCustom.cpp \
		JSSQLTransactionCustom.cpp \
		JSStorageCustom.cpp \
		LocalStorageTask.cpp \
		LocalStorageThread.cpp \
		Storage.cpp \
		StorageAreaImpl.cpp \
		StorageAreaSync.cpp \
		StorageEvent.cpp \
		StorageEventDispatcher.cpp \
		StorageMap.cpp \
		StorageNamespace.cpp \
		StorageNamespaceImpl.cpp \
		StorageSyncManager.cpp \
		IconDatabase.cpp \
		IconRecord.cpp \
		PageURLRecord.cpp \
		JSAbstractWorkerCustom.cpp \
		JSDedicatedWorkerContextCustom.cpp \
		JSWorkerConstructor.cpp \
		JSWorkerContextBase.cpp \
		JSWorkerContextCustom.cpp \
		JSWorkerCustom.cpp \
		WorkerScriptController.cpp \
		WorkerThreadableLoader.cpp \
		WorkerNavigator.cpp \
		AbstractWorker.cpp \
		DedicatedWorkerContext.cpp \
		DedicatedWorkerThread.cpp \
		Worker.cpp \
		WorkerContext.cpp \
		WorkerLocation.cpp \
		WorkerMessagingProxy.cpp \
		WorkerRunLoop.cpp \
		WorkerThread.cpp \
		WorkerScriptLoader.cpp \
		JSSharedWorkerConstructor.cpp \
		JSSharedWorkerCustom.cpp \
		DefaultSharedWorkerRepository.cpp \
		SharedWorker.cpp \
		SharedWorkerContext.cpp \
		SharedWorkerThread.cpp \
		NativeXPathNSResolver.cpp \
		XPathEvaluator.cpp \
		XPathExpression.cpp \
		XPathExpressionNode.cpp \
		XPathFunctions.cpp \
		XPathNamespace.cpp \
		XPathNodeSet.cpp \
		XPathNSResolver.cpp \
		XPathParser.cpp \
		XPathPath.cpp \
		XPathPredicate.cpp \
		XPathResult.cpp \
		XPathStep.cpp \
		XPathUtil.cpp \
		XPathValue.cpp \
		XPathVariableReference.cpp \
		FEBlend.cpp \
		FEColorMatrix.cpp \
		FEComponentTransfer.cpp \
		FEComposite.cpp \
		FEGaussianBlur.cpp \
		FilterEffect.cpp \
		SourceAlpha.cpp \
		SourceGraphic.cpp \
		NetworkStateNotifierQt.cpp \
		JSSVGElementInstanceCustom.cpp \
		JSSVGLengthCustom.cpp \
		JSSVGMatrixCustom.cpp \
		JSSVGPathSegCustom.cpp \
		JSSVGPathSegListCustom.cpp \
		SVGCSSComputedStyleDeclaration.cpp \
		SVGCSSParser.cpp \
		SVGCSSStyleSelector.cpp \
		SVGRenderStyle.cpp \
		SVGRenderStyleDefs.cpp \
		SVGZoomEvent.cpp \
		PointerEventsHitRules.cpp \
		SVGDocumentExtensions.cpp \
		SVGImageLoader.cpp \
		ColorDistance.cpp \
		SVGAElement.cpp \
		SVGAltGlyphElement.cpp \
		SVGAngle.cpp \
		SVGAnimateColorElement.cpp \
		SVGAnimatedPathData.cpp \
		SVGAnimatedPoints.cpp \
		SVGAnimateElement.cpp \
		SVGAnimateMotionElement.cpp \
		SVGAnimateTransformElement.cpp \
		SVGAnimationElement.cpp \
		SVGCircleElement.cpp \
		SVGClipPathElement.cpp \
		SVGColor.cpp \
		SVGComponentTransferFunctionElement.cpp \
		SVGCursorElement.cpp \
		SVGDefsElement.cpp \
		SVGDescElement.cpp \
		SVGDocument.cpp \
		SVGElement.cpp \
		SVGElementInstance.cpp \
		SVGElementInstanceList.cpp \
		SVGEllipseElement.cpp \
		SVGExternalResourcesRequired.cpp \
		SVGFEBlendElement.cpp \
		SVGFEColorMatrixElement.cpp \
		SVGFEComponentTransferElement.cpp \
		SVGFECompositeElement.cpp \
		SVGFEDiffuseLightingElement.cpp \
		SVGFEDisplacementMapElement.cpp \
		SVGFEDistantLightElement.cpp \
		SVGFEFloodElement.cpp \
		SVGFEFuncAElement.cpp \
		SVGFEFuncBElement.cpp \
		SVGFEFuncGElement.cpp \
		SVGFEFuncRElement.cpp \
		SVGFEGaussianBlurElement.cpp \
		SVGFEImageElement.cpp \
		SVGFELightElement.cpp \
		SVGFEMergeElement.cpp \
		SVGFEMergeNodeElement.cpp \
		SVGFEMorphologyElement.cpp \
		SVGFEOffsetElement.cpp \
		SVGFEPointLightElement.cpp \
		SVGFESpecularLightingElement.cpp \
		SVGFESpotLightElement.cpp \
		SVGFETileElement.cpp \
		SVGFETurbulenceElement.cpp \
		SVGFilterElement.cpp \
		SVGFilterPrimitiveStandardAttributes.cpp \
		SVGFitToViewBox.cpp \
		SVGFont.cpp \
		SVGFontData.cpp \
		SVGFontElement.cpp \
		SVGFontFaceElement.cpp \
		SVGFontFaceFormatElement.cpp \
		SVGFontFaceNameElement.cpp \
		SVGFontFaceSrcElement.cpp \
		SVGFontFaceUriElement.cpp \
		SVGForeignObjectElement.cpp \
		SVGGElement.cpp \
		SVGGlyphElement.cpp \
		SVGGradientElement.cpp \
		SVGHKernElement.cpp \
		SVGImageElement.cpp \
		SVGLangSpace.cpp \
		SVGLength.cpp \
		SVGLengthList.cpp \
		SVGLinearGradientElement.cpp \
		SVGLineElement.cpp \
		SVGLocatable.cpp \
		SVGMarkerElement.cpp \
		SVGMaskElement.cpp \
		SVGMetadataElement.cpp \
		SVGMissingGlyphElement.cpp \
		SVGMPathElement.cpp \
		SVGNumberList.cpp \
		SVGPaint.cpp \
		SVGParserUtilities.cpp \
		SVGPathElement.cpp \
		SVGPathSegArc.cpp \
		SVGPathSegClosePath.cpp \
		SVGPathSegCurvetoCubic.cpp \
		SVGPathSegCurvetoCubicSmooth.cpp \
		SVGPathSegCurvetoQuadratic.cpp \
		SVGPathSegCurvetoQuadraticSmooth.cpp \
		SVGPathSegLineto.cpp \
		SVGPathSegLinetoHorizontal.cpp \
		SVGPathSegLinetoVertical.cpp \
		SVGPathSegList.cpp \
		SVGPathSegMoveto.cpp \
		SVGPatternElement.cpp \
		SVGPointList.cpp \
		SVGPolyElement.cpp \
		SVGPolygonElement.cpp \
		SVGPolylineElement.cpp \
		SVGPreserveAspectRatio.cpp \
		SVGRadialGradientElement.cpp \
		SVGRectElement.cpp \
		SVGScriptElement.cpp \
		SVGSetElement.cpp \
		SVGStopElement.cpp \
		SVGStringList.cpp \
		SVGStylable.cpp \
		SVGStyledElement.cpp \
		SVGStyledLocatableElement.cpp \
		SVGStyledTransformableElement.cpp \
		SVGStyleElement.cpp \
		SVGSVGElement.cpp \
		SVGSwitchElement.cpp \
		SVGSymbolElement.cpp \
		SVGTests.cpp \
		SVGTextContentElement.cpp \
		SVGTextElement.cpp \
		SVGTextPathElement.cpp \
		SVGTextPositioningElement.cpp \
		SVGTitleElement.cpp \
		SVGTransformable.cpp \
		SVGTransform.cpp \
		SVGTransformDistance.cpp \
		SVGTransformList.cpp \
		SVGTRefElement.cpp \
		SVGTSpanElement.cpp \
		SVGURIReference.cpp \
		SVGUseElement.cpp \
		SVGViewElement.cpp \
		SVGViewSpec.cpp \
		SVGZoomAndPan.cpp \
		SMILTime.cpp \
		SMILTimeContainer.cpp \
		SVGSMILElement.cpp \
		SVGFEConvolveMatrix.cpp \
		SVGFEDiffuseLighting.cpp \
		SVGFEDisplacementMap.cpp \
		SVGFEFlood.cpp \
		SVGFEImage.cpp \
		SVGFEMerge.cpp \
		SVGFEMorphology.cpp \
		SVGFEOffset.cpp \
		SVGFESpecularLighting.cpp \
		SVGFETile.cpp \
		SVGFETurbulence.cpp \
		SVGFilter.cpp \
		SVGFilterBuilder.cpp \
		SVGLightSource.cpp \
		SVGImage.cpp \
		SVGPaintServer.cpp \
		SVGPaintServerGradient.cpp \
		SVGPaintServerLinearGradient.cpp \
		SVGPaintServerPattern.cpp \
		SVGPaintServerRadialGradient.cpp \
		SVGPaintServerSolid.cpp \
		SVGResource.cpp \
		SVGResourceFilter.cpp \
		SVGResourceMarker.cpp \
		RenderForeignObject.cpp \
		RenderPath.cpp \
		RenderSVGBlock.cpp \
		RenderSVGContainer.cpp \
		RenderSVGGradientStop.cpp \
		RenderSVGHiddenContainer.cpp \
		RenderSVGImage.cpp \
		RenderSVGInline.cpp \
		RenderSVGInlineText.cpp \
		RenderSVGModelObject.cpp \
		RenderSVGResourceClipper.cpp \
		RenderSVGResourceMasker.cpp \
		RenderSVGRoot.cpp \
		RenderSVGShadowTreeRootContainer.cpp \
		RenderSVGText.cpp \
		RenderSVGTextPath.cpp \
		RenderSVGTransformableContainer.cpp \
		RenderSVGTSpan.cpp \
		RenderSVGViewportContainer.cpp \
		SVGCharacterLayoutInfo.cpp \
		SVGInlineFlowBox.cpp \
		SVGInlineTextBox.cpp \
		SVGMarkerLayoutInfo.cpp \
		SVGRenderSupport.cpp \
		SVGRootInlineBox.cpp \
		SVGShadowTreeElements.cpp \
		JSJavaScriptCallFrameCustom.cpp \
		JavaScriptCallFrame.cpp \
		ApplicationCache.cpp \
		ApplicationCacheGroup.cpp \
		ApplicationCacheHost.cpp \
		ApplicationCacheStorage.cpp \
		ApplicationCacheResource.cpp \
		DOMApplicationCache.cpp \
		ManifestParser.cpp \
		JSDOMApplicationCacheCustom.cpp \
		WebSocket.cpp \
		WebSocketChannel.cpp \
		WebSocketHandshake.cpp \
		WebSocketHandshakeRequest.cpp \
		ThreadableWebSocketChannel.cpp \
		SocketStreamErrorBase.cpp \
		SocketStreamHandleBase.cpp \
		SocketStreamHandleQt.cpp \
		JSWebSocketCustom.cpp \
		JSWebSocketConstructor.cpp \
		WorkerThreadableWebSocketChannel.cpp \
		GraphicsLayer.cpp \
		GraphicsLayerQt.cpp \
		RenderLayerBacking.cpp \
		RenderLayerCompositor.cpp \
		moc_qwebplugindatabase_p.cpp \
		moc_QtFallbackWebPopup.cpp \
		moc_DnsPrefetchHelper.cpp \
		moc_qwebframe.cpp \
		moc_qwebhistoryinterface.cpp \
		moc_qwebpluginfactory.cpp \
		moc_qwebinspector.cpp \
		qrc_WebCore.cpp \
		qrc_WebKit.cpp

# some source files need to be generated by moc from other source/header files before
# they get #included again by the original source file in the compiling stage

# source files generated from existing header files ("moc_%.cpp: %.h" rule in spec-qt4.mk)
# extracted from "compiler_moc_header_make_all" target
COMPILER_MOC_HEADER_MAKE_ALL_FILES = \
									moc_QNetworkReplyHandler.cpp \
									moc_qwebplugindatabase_p.cpp \
									moc_QtFallbackWebPopup.cpp \
									moc_FrameLoaderClientQt.cpp \
									moc_DnsPrefetchHelper.cpp \
									moc_NetworkStateNotifierPrivate.cpp \
									moc_SocketStreamHandlePrivate.cpp \
									moc_qwebframe.cpp \
									moc_qgraphicswebview.cpp \
									moc_qwebpage.cpp \
									moc_qwebview.cpp \
									moc_qwebhistoryinterface.cpp \
									moc_qwebpluginfactory.cpp \
									moc_qwebinspector.cpp

# source files generated from existing source files ("%.moc: %.cpp" rule in spec-qt4.mk)
# extracted from "compiler_moc_source_make_all" rule
COMPILER_MOC_SOURCE_MAKE_ALL_FILES = \
									SharedTimerQt.moc \
									InspectorClientQt.moc \
									GraphicsLayerQt.moc

INC_DIR += $(REP_DIR)/src/lib/qt4/mkspecs/qws/genode-x86-g++ \
           $(REP_DIR)/include/qt4 \
           $(REP_DIR)/contrib/$(QT4)/include \
           $(REP_DIR)/include/qt4/QtCore \
           $(REP_DIR)/contrib/$(QT4)/include/QtCore \
           $(REP_DIR)/include/qt4/QtCore/private \
           $(REP_DIR)/contrib/$(QT4)/include/QtCore/private \
           $(REP_DIR)/include/qt4/QtNetwork \
           $(REP_DIR)/contrib/$(QT4)/include/QtNetwork \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/text \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/text \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/assembler \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/assembler \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/interpreter \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/interpreter \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/runtime \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/runtime \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/jit \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/jit \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/bytecode \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/bytecode \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/wtf \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/wtf \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/wtf/unicode \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/wtf/unicode \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/parser \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/parser \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/debugger \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/debugger \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/wrec \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/wrec \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/generated \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/generated \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/bytecompiler \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/bytecompiler \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/profiler \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/profiler \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/ForwardingHeaders \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/ForwardingHeaders \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/API \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/API \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/JavaScriptCore/pcre \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/JavaScriptCore/pcre \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/editing \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/editing \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/dom \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/dom \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/html \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/html \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/html/canvas \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/html/canvas \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/graphics \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/graphics \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/graphics/transforms \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/graphics/transforms \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/css \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/css \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/generated \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/generated \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/rendering \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/rendering \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/loader \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/loader \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/animation \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/animation \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/network \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/network \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/network/qt \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/network/qt \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/rendering/style \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/rendering/style \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/svg \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/svg \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/svg/animation \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/svg/animation \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/svg/graphics \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/svg/graphics \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/svg/graphics/filters \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/svg/graphics/filters \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/history \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/history \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/page \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/page \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/page/animation \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/page/animation \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/image-decoders \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/image-decoders \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/qt \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/qt \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/sql \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/sql \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/graphics/filters \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/graphics/filters \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/graphics/qt \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/graphics/qt \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/mock \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/mock \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebKit/qt/Api/ \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebKit/qt/Api \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bindings/js \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bindings/js \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/inspector \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/inspector \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bridge \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bridge \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bridge/c \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bridge/c \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bridge/jsc \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bridge/jsc \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bridge/qt \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bridge/qt \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/storage \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/storage \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/plugins \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/plugins \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebKit/qt/WebCoreSupport/ \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebKit/qt/WebCoreSupport/ \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/loader/appcache \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/loader/appcache \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/loader/archive \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/loader/archive \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/loader/icon \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/loader/icon \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/xml \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/xml \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/xml \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/xml \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/workers \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/workers \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/notifications \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/notifications \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/accessibility \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/accessibility \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/websockets \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/websockets \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/sqlite \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/sqlite \
           $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/ \
           $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/ \
           $(REP_DIR)/src/lib/qt4/src/corelib/global

LIBS += qt_jscore qt_network qt_core libc libm

vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/generated
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bindings
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bindings/js
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bridge
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bridge/c
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bridge/jsc
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/bridge/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/css
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/dom
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/dom/default
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/editing
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/editing/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/history
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/history/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/html
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/html/canvas
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/inspector
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/inspector/front-end
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/loader/appcache
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/loader/archive
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/loader
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/loader/icon
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/page
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/page/animation
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/page/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/plugins
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/plugins/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/animation
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/text
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/text/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/graphics
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/graphics/filters
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/graphics/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/graphics/transforms
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/image-decoders/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/mock
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/network
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/network/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/platform/sql
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/rendering
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/rendering/style
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/xml
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebKit/qt/WebCoreSupport
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebKit/qt/Api
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/sqlite
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/storage
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/svg
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/svg/animation
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/svg/graphics
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/svg/graphics/filters
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/svg/graphics/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/workers
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/notifications
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/accessibility
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/accessibility/qt
vpath % $(REP_DIR)/src/lib/qt4/src/3rdparty/webkit/WebCore/websockets

vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/generated
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bindings
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bindings/js
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bridge
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bridge/c
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bridge/jsc
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/bridge/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/css
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/dom
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/dom/default
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/editing
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/editing/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/history
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/history/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/html
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/html/canvas
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/inspector
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/inspector/front-end
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/loader/appcache
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/loader/archive
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/loader
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/loader/icon
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/page
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/page/animation
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/page/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/plugins
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/plugins/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/animation
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/text
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/text/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/graphics
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/graphics/filters
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/graphics/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/graphics/transforms
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/image-decoders/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/mock
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/network
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/network/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/platform/sql
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/rendering
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/rendering/style
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/xml
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebKit/qt/WebCoreSupport
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebKit/qt/Api
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/sqlite
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/storage
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/svg
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/svg/animation
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/svg/graphics
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/svg/graphics/filters
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/svg/graphics/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/workers
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/notifications
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/accessibility
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/accessibility/qt
vpath % $(REP_DIR)/contrib/$(QT4)/src/3rdparty/webkit/WebCore/websockets

include $(REP_DIR)/lib/mk/qt.mk
